> For the complete documentation index, see [llms.txt](https://docs.alphaus.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.alphaus.cloud/v2.0-english/api-reference/stacks/restart-instance.md).

# Restart instance

```
POST /v2/alm/stack/{stack_id}/restart_instance
```

| **Parameters** | **Type** | **Required** | **Details** |
| -------------- | -------- | ------------ | ----------- |
| instance\_id   | string   | yes          |             |

Request header:

```
Authorization: Bearer eyJ0eXAiOiJ83fjQb3LzMeXzQfME
Content-Type: application/json
```

Request body:

```ruby
{
    "instance_id":"i-01164e4912759cbed"
}
```

Example response:

```ruby
HTTP/1.1 200 OK

{
    "status":"success",
    "reason":"Instance deleted from autoscaling group, with a protection of 3600 seconds."
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.alphaus.cloud/v2.0-english/api-reference/stacks/restart-instance.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
